Bug 521765 - Please update xdotool to fix "--window" parameter to the "key" command
Summary: Please update xdotool to fix "--window" parameter to the "key" command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xdotool
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Sindre Pedersen Bjørdal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 09:17 UTC by Eike Hein
Modified: 2009-11-27 21:39 UTC (History)
2 users (show)

Fixed In Version: 20090815-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-27 21:39:13 UTC


Attachments (Terms of Use)

Description Eike Hein 2009-09-08 09:17:20 UTC
xdotool allows sending fake keyboard events to specific windows using the "--window" parameter of the "key" command. However, this parameter is broken in the version currently offered by Fedora 11, namely xdotool 20090330.

According to the developer, the bug was addressed in xdotool 20090710:
http://www.semicomplete.com/blog/geekery/xdotool-20090710.html

Quote: "* Bug fix: 'xdotool key --window' now works properly"

As of this writing, the current version is xdotool 20090815.

Please consider updating xdotool in Fedora 11 to at least version 20090710 to address this problem.

Comment 1 Kevin Kofler 2009-09-14 15:08:36 UTC
Please note that this bug prevents packaging xvkbd, as it requires that switch to work.

Comment 2 Kevin Kofler 2009-09-14 15:14:46 UTC
Actually that's not true, so disregard my above comment (Comment #1). ;-)

Comment 3 Fedora Update System 2009-09-17 18:44:32 UTC
xdotool-20090815-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xdotool-20090815-1.fc11?_csrf_token=e7ce8517e0510a8b4520c19ed3816a32bfda69fb

Comment 4 Fedora Update System 2009-09-19 00:14:17 UTC
xdotool-20090815-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xdotool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9768

Comment 5 Fedora Update System 2009-11-27 21:39:07 UTC
xdotool-20090815-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.